{"openapi":"3.0.4","info":{"title":"Upsert a bookmark.","description":"This method will update or upsert a Bookmark for the Fund.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/funds/{scope}/{code}/bookmarks":{"post":{"tags":["Funds"],"summary":"Upsert a bookmark.","description":"This method will update or upsert a Bookmark for the Fund.","operationId":"UpsertBookmark","parameters":[{"name":"scope","in":"path","description":"The scope of the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Fund. Together with the scope this uniquely identifies the Fund.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"navTypeCode","in":"query","description":"When provided, upserts the Valuation Point against the specified NAV Type, otherwise the Primary NAV Type will be used.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The bookmark definition to upsert.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertFundBookmarkRequest"},"example":{"bookmarkCode":"BookmarkJan2024","displayName":"BookmarkJan2024","description":"Bookmark for Jan 2024","effectiveAt":"2024-01-31T23:59:59.0000000+00:00","queryAsAt":"2024-01-31T23:59:59.0000000+00:00","properties":{},"holdingsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00","valuationsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00"}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertFundBookmarkRequest"},"example":{"bookmarkCode":"BookmarkJan2024","displayName":"BookmarkJan2024","description":"Bookmark for Jan 2024","effectiveAt":"2024-01-31T23:59:59.0000000+00:00","queryAsAt":"2024-01-31T23:59:59.0000000+00:00","properties":{},"holdingsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00","valuationsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertFundBookmarkRequest"},"example":{"bookmarkCode":"BookmarkJan2024","displayName":"BookmarkJan2024","description":"Bookmark for Jan 2024","effectiveAt":"2024-01-31T23:59:59.0000000+00:00","queryAsAt":"2024-01-31T23:59:59.0000000+00:00","properties":{},"holdingsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00","valuationsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00"}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertFundBookmarkRequest"},"example":{"bookmarkCode":"BookmarkJan2024","displayName":"BookmarkJan2024","description":"Bookmark for Jan 2024","effectiveAt":"2024-01-31T23:59:59.0000000+00:00","queryAsAt":"2024-01-31T23:59:59.0000000+00:00","properties":{},"holdingsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00","valuationsAsAtOverride":"2024-01-31T23:59:59.0000000+00:00"}}},"required":true},"responses":{"200":{"description":"The updated or inserted Bookmark","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/FundCalendarEntry"},"example":{"code":"BookmarkJan2024","displayName":"BookmarkJan2024","description":"Bookmark for Jan 2024","navTypeCode":"nav1","timelineId":{"scope":"TimelineScope","code":"TimelineCode"},"effectiveAt":"2024-01-31T23:59:59.0000000+00:00","asAt":"2024-01-31T23:59:59.0000000+00:00","entryType":"BookmarkFundCalendarEntry","status":"Unofficial","applyClearDown":false,"properties":{}}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/FundCalendarEntry"},"example":{"code":"BookmarkJan2024","displayName":"BookmarkJan2024","description":"Bookmark for Jan 2024","navTypeCode":"nav1","timelineId":{"scope":"TimelineScope","code":"TimelineCode"},"effectiveAt":"2024-01-31T23:59:59.0000000+00:00","asAt":"2024-01-31T23:59:59.0000000+00:00","entryType":"BookmarkFundCalendarEntry","status":"Unofficial","applyClearDown":false,"properties":{}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/FundCalendarEntry"},"example":{"code":"BookmarkJan2024","displayName":"BookmarkJan2024","description":"Bookmark for Jan 2024","navTypeCode":"nav1","timelineId":{"scope":"TimelineScope","code":"TimelineCode"},"effectiveAt":"2024-01-31T23:59:59.0000000+00:00","asAt":"2024-01-31T23:59:59.0000000+00:00","entryType":"BookmarkFundCalendarEntry","status":"Unofficial","applyClearDown":false,"properties":{}}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}